Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QPixmapCache

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QPixmapCache class reference

### Static Public Members

- QPixmap * find ( const QString & key ) `(obsolete)`
- bool insert ( const QString & key, QPixmap * pm ) `(obsolete)`

## Member Function Documentation

### QPixmap * QPixmapCache::find ( const QString & key ) `[static]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Returns the pixmap associated with the key in the cache, or null if there is no such pixmap.

Warning: If valid, you should copy the pixmap immediately (this is fast). Subsequent insertions into the cache could cause the pointer to become invalid. For this reason, we recommend you use find(const QString&, QPixmap&) instead.

Example:

        QPixmap* pp;
        QPixmap p;
        if ((pp=QPixmapCache::find("my_big_image", pm))) {
            p = *pp;
        } else {
            p.load("bigimage.png");
            QPixmapCache::insert("my_big_image", new QPixmap(p));
        }
        painter->drawPixmap(0, 0, p);

### bool QPixmapCache::insert ( const QString & key, QPixmap * pm ) `[static]`

Inserts the pixmap pm associated with key into the cache. Returns true if successful, or false if the pixmap is too big for the cache.

Warning: pm must be allocated on the heap (using `new`).

If this function returns false, you must delete pm yourself.

If this function returns true, do not use pm afterwards or keep references to it because any other insertions into the cache, whether from anywhere in the application or within Qt itself, could cause the pixmap to be discarded from the cache and the pointer to become invalid.

Due to these dangers, we strongly recommend that you use insert(const QString&, const QPixmap&) instead.